Bug 585725 - [abrt] crash in system-config-printer-1.1.18-2.fc12: DBus error "Not Authorized: org.opensuse.cupspkhelper.mechanism.server-settings"
[abrt] crash in system-config-printer-1.1.18-2.fc12: DBus error "Not Authoriz...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus-python (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
abrt_hash:8ae0ed50611bb43fa9cd60d6df5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-25 15:32 EDT by Simon Farnsworth
Modified: 2013-03-05 23:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:27:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.13 KB, text/plain)
2010-04-25 15:32 EDT, Simon Farnsworth
no flags Details

  None (edit)
Description Simon Farnsworth 2010-04-25 15:32:28 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: python /usr/share/system-config-printer/system-config-printer.py
component: system-config-printer
executable: /usr/bin/python
global_uuid: 8ae0ed50611bb43fa9cd60d6df5f26f1122bb69b
kernel: 2.6.32.11-99.fc12.x86_64
package: system-config-printer-1.1.18-2.fc12
rating: 4
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 Simon Farnsworth 2010-04-25 15:32:30 EDT
Created attachment 409001 [details]
File: backtrace
Comment 2 Jiri Popelka 2010-04-26 05:31:20 EDT
Do you remember any steps to reproduce this ?
Are you able to reproduce it again ?
Comment 3 Simon Farnsworth 2010-04-26 05:42:18 EDT
It's apparently random; it sometimes reproduces itself, but I am not able to consistently force it to happen.

The key behaviour I see just before it dies is that I get the authentication dialog. I fill in root's password, and press Enter. Normally, this causes the dialog to disappear, and activity to continue; in the crash state, the password entry field disappears, and the authentication dialog becomes unresponsive (I've tried clicking each of the Cancel and Authenticate buttons, and the window close button).

At this point, I can prod the underlying application (system-config-printer in this case), and eventually, it crashes.
Comment 4 Tim Waugh 2010-05-06 11:26:22 EDT
This is going wrong inside dbus-python:

    exc_value = PyObject_CallFunction(imported_dbus_exception,
                                      "s",
                                      error->message ? error->message
                                                     : "");
    if (error->name) {
        PyObject *name = PyString_FromString(error->name);
        int ret;

        if (!name)
            goto finally;
        ret = PyObject_SetAttrString(exc_value, "_dbus_error_name", name);

For some reason we failed to instantiate a new dbus.exceptions.DBusException() object (possibly out of memory?), but the code doesn't check for that.

Changing component.
Comment 5 Bug Zapper 2010-11-03 12:20:09 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 10:27:13 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.